Bug 21291 - Compiler tab takes focus even when trying select any other tab in OW after compilation with errors
Compiler tab takes focus even when trying select any other tab in OW after co...
Status: VERIFIED WORKSFORME
Product: cnd
Classification: Unclassified
Component: Terminalemulator
3.x
PC Linux
: P4 (vote)
: 6.x
Assigned To: akemr
ivan
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-07 10:11 UTC by Lukas Hasik
Modified: 2008-12-23 08:27 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Hasik 2002-03-07 10:11:26 UTC
[MDI], jdk1.4b92, build 200203070100

steps to reproduce:
1, have a few tabs in OW (Output, Compiler, some output from program...)
2, compile source code with some compilation errors -> Compiler tab is selected
in OW
3, click on any other tab than Compiler in OW 

- selection blinks from tab you clicked on back to Compiler tab

Note: it works fine when it's done not after compilation with errors. Try select
Compiler tab in OW, give focus to Editor, select different tab in OW -> tab is
selected properly
Comment 1 akemr 2002-03-07 11:02:59 UTC
Reproduced on Win2K x SDI x JDK_1.4,
- on Win2K and MDI x 1.4 works fine
- on Win2K and 1.3 works fine
- on Linux x SDI x 1.4 also works fine

BTW there is also similar problem with tabs in explorer on Win2K x SDI
x 1.4:
- Have Filesystems tab opened in Explorer
- Move focus to Editor
- Click on Project tab - it doesn't open, only Explorer
  got focus

Dafe, do you have any idea?
Comment 2 Jesse Glick 2002-03-19 18:20:17 UTC
Possibly related general window system problem (Linux/Enlightenment): sometimes (recent builds, i.e. 
March, only?) after switching virtual desktops (using KB) back to NetBeans (MDI), the compiler tab is 
fronted in the output window, though it had not been before. Something tells the window system that it 
ought to get focus, but I did not click the mouse or send any keystroke to NB - just gave the NB 
main MDI window focus.
Comment 3 Marek Grummich 2002-07-22 08:32:58 UTC
Target milestone was changed from '3.4' to TBD.
Comment 4 Marek Grummich 2002-07-22 08:43:43 UTC
Target milestone was changed from '3.4' to TBD.
Comment 5 Marek Grummich 2002-07-22 08:43:49 UTC
Target milestone was changed from '3.4' to TBD.
Comment 6 Marek Grummich 2002-07-22 08:47:30 UTC
Target milestone was changed from '3.4' to TBD.
Comment 7 akemr 2002-09-06 14:20:00 UTC
Problem looks to be fixed in current version - probably it was really
window system related problem.
Comment 8 Lukas Hasik 2003-07-15 10:06:55 UTC
verified -> never happend again
Comment 9 Quality Engineering 2008-12-23 08:27:33 UTC
moving terminal emulator issues to terminalemulator component.
To see the correct version and target milestone of this issue look at Issue
Activity table.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo